import numpy as np
import datetime
import matplotlib.pyplot as plt
from matplotlib import pyplot
import matplotlib.dates as dates
import pandas as pd
from pandas import read_csv
from pandas.tseries.frequencies import to_offset
from datetime import datetime


header_list = ['Year','Month','Day','Hour','Minute','Second','Pressure'] # names of columns
mat = pd.read_csv('pressure_Bern_2011.csv', header=1, parse_dates=True, names=header_list)

##      Year  Month  Day  Hour  Minute  Second  Pressure
##0     2021      6    1     0      10       0    949.87
##1     2021      6    1     0      20       0    949.90
##2     2021      6    1     0      30       0    949.99

# make vectors
y=mat['Year'].values # year
m=mat['Month'].values  # month
d=mat['Day'].values  # day
h=mat['Hour'].values  # hour
mi=mat['Minute'].values  # min
s=mat['Second'].values  # sec


dates = pd.DataFrame({'year': y, 'month': m, 'day': d, 'hour': h, 'minute': mi, 'second': s })

# add the datetime column to mat
mat['Dates']=pd.to_datetime(dates, format='%Y-%m-%d %H:%M:%S')

##      Year  Month  Day  Hour  Minute  Second  Pressure               Dates
##0     2021      6    1     0      10       0    949.87 2021-06-01 00:10:00
##1     2021      6    1     0      20       0    949.90 2021-06-01 00:20:00
##2     2021      6    1     0      30       0    949.99 2021-06-01 00:30:00

fig, ax = plt.subplots()
ax.plot(mat.Dates, mat.Pressure)
ax.set_xlabel('Date')
ax.set_ylabel('Pressure (hPa)')
fig.autofmt_xdate(rotation=45)  # rotation of the xlabels
plt.savefig('p2a_2011.pdf')
plt.show()



