import numpy as np
import datetime
import matplotlib.pyplot as plt
from matplotlib import pyplot
import matplotlib.dates as dates
import pandas as pd
from pandas import read_csv
from pandas.tseries.frequencies import to_offset
from datetime import datetime

header_list = ['Year','Month','Day','Hour','Minute','Second','Pressure']  # names of columns
mat = pd.read_csv('pressure_Bern_2021.csv', header=1, parse_dates=True, names=header_list)

##      Year  Month  Day  Hour  Minute  Second  Pressure
##0     2021      6    1     0      10       0    949.87
##1     2021      6    1     0      20       0    949.90
##2     2021      6    1     0      30       0    949.99


# pressure series p 
p=mat['Pressure'].values  # in unit hectopascal: 1 hPa=100 Pa


ut=mat['Hour'].values  # Universal Time UT (hour)

# Get the indices of elements with certain ut values
x=np.arange(0,24,1)  # make an integer array
pm=np.zeros(len(x))   #  make a float array
for i in x:  #  for loop (the next command lines should be a bit shifted to the right hand side)
    ind = np.where(ut == i)    # find the indices for each hour of the complete series 
    pm[i]  = np.mean(p[ind])   # compute the mean of p at the indices

# pm is the daily cycle of pressure at Bern averaged from June to August

x=x+.5   # shift to the center of the averaged time intervals


